#!/bin/sh
# Check the status
ENABLE_USERDIR=/usr/local/AppCentral/httpd-2.4.43/data/conf/mods-enabled/userdir.conf
AVAILA_USERDIR=/usr/local/AppCentral/httpd-2.4.43/data/conf/mods-available/userdir.conf

case "$APKG_PKG_STATUS" in
	install)
		/bin/ln -s /usr/builtin/etc/certificate/ssl.chain /usr/local/AppCentral/httpd-2.4.43/data/certificate/server.chain
		/bin/ln -s /usr/builtin/etc/certificate/ssl.crt /usr/local/AppCentral/httpd-2.4.43/data/certificate/server.crt
		/bin/ln -s /usr/builtin/etc/certificate/ssl.key /usr/local/AppCentral/httpd-2.4.43/data/certificate/server.key
		;;
	upgrade)
		/bin/ln -s /usr/builtin/etc/certificate/ssl.chain /usr/local/AppCentral/httpd-2.4.43/data/certificate/server.chain
		/bin/ln -s /usr/builtin/etc/certificate/ssl.crt /usr/local/AppCentral/httpd-2.4.43/data/certificate/server.crt
		/bin/ln -s /usr/builtin/etc/certificate/ssl.key /usr/local/AppCentral/httpd-2.4.43/data/certificate/server.key
                if [ -f $APKG_TEMP_DIR/userdir.conf ]; then
                        /bin/ln -s $AVAILA_USERDIR $ENABLE_USERDIR
                fi
		;;
	*)
		;;
esac

exit 0
